Subject: Re: [patch 06/18] net/cosa: replace schedule_timeout() with msleep_interruptible()

From: Nishanth Aravamudan <[email-masked]>
Date: Mon, 1 Nov 2004 14:00:07 -0800

On Mon, Nov 01, 2004 at 12:23:14PM +0100, Jan Kasprzak wrote:
> Jeff Garzik wrote:
> : why add all the memory barriers and such associated with 
> : set_current_state() ?
> : 
> 	This is not time-critical - COSA is an ISA-only device,
> and the driver is not tested on SMP (I have tried to make it SMP-aware,
> but at the time I had no SMP machine with ISA slot).

Just to make it clear, then, the current patch is ok? Or would you
prefer I had used __set_current_state()?

-Nish